package com.zcloud.service.archives.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.archives.ArchivesEduPlanMapper;
import com.zcloud.service.archives.ArchivesEduPlanService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：年度安全培训教育计划
 * 作者：luoxiaobao
 * 时间：2021-12-16
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class ArchivesEduPlanServiceImpl implements ArchivesEduPlanService{

	@Autowired
	private ArchivesEduPlanMapper archiveseduplanMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		archiveseduplanMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		archiveseduplanMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		archiveseduplanMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return archiveseduplanMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return archiveseduplanMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return archiveseduplanMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		archiveseduplanMapper.deleteAll(ArrayDATA_IDS);
	}

}

